# Top Panel Note Extension

The Top Panel Note extension allows you to quickly add and view a static note from the GNOME Shell top panel. It's a convenient way to store small snippets of information, such as a lookup table or reminders, that you can access with just a click.

### Prerequisites

- GNOME Shell 45 or later

### Installation

### From GNOME Extensions Website

- Navigate to the GNOME Extensions website: [Top Panel Note Extension](https://extensions.gnome.org/extension/).
- Turn on the extension to install it. 

### From GitHub Repository

If you prefer to install it manually from this repository:

- Clone the repository and enter the directory:
   ```
   git clone https://github.com/sainathmurali/top-panel-note.git
   cd top-panel-note
   ```
   
- Install the extension:
    ```
    make install
    ```

- Restart the GNOME Shell:
   - Press `Alt+F2`.
   - Type `r` and press `Enter`.

## Usage

- **Adding a Note:**
  - Click the icon in the top panel.
  - Enter your note in the input box that appears and press Enter.
  - Your note will be displayed in the top panel.

- **Clearing a Note:**
  - Click the icon in the top panel.
  - Click the clear button to remove the note.

## Contributing

Contributions are welcome! Please open an issue or submit a pull request on the repository.

## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.

## Acknowledgments

- Thanks to the GNOME Shell community for their extensive documentation and support.
- Icons used in this extension are from the GTK Icon Library.
